/* Kontroler1.java
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 06.11.2017
 */

package ConcreteComponent;



import AbstractProductA.*;
import AbstractProductB.*;
import Component.Kontroler;
import ConcreteVisitor.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.text.SimpleDateFormat;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.Timer;
import java.util.TimerTask;
import DomainClasses.DKIspitnaPrijava;  // Promenljivo
import Visitor.Visitor;



public final class Kontroler1 extends Kontroler{ // ConcreteComponent
   
    boolean promeni = true;
    boolean zapamti = true;
    boolean nadji = true;
    boolean obrisi = true;
    boolean kreiraj = true;
   
    
    public Kontroler1(EkranskaForma ef1,BrokerBazePodataka bbp1){ef=ef1;bbp=bbp1; Povezi(null);}
    
     
    @Override
    public void Povezi(Kontroler kon)
    {
     
     if (kon != null) 
     {   
         javax.swing.JButton Kreiraj = ef.getPanel().getKreiraj();
         javax.swing.JButton Promeni = ef.getPanel().getPromeni();
         javax.swing.JButton Obrisi = ef.getPanel().getObrisi();
         javax.swing.JButton Nadji = ef.getPanel().getNadji();
         Kreiraj.addActionListener( new OsluskivacKreiraj(kon));
         Promeni.addActionListener( new OsluskivacPromeni(kon));
         Obrisi.addActionListener( new OsluskivacObrisi(kon));
         Nadji.addActionListener( new OsluskivacNadji(kon));
        javax.swing.JTextField SifraPrijave = ef.getPanel().getSifraPrijave1(); // Promenljivo!!!
        SifraPrijave.addFocusListener( new OsluskivacNadji1(kon));
     }   
    }
    
    // Promenljivo!!!  
    public void napuniDomenskiObjekatIzGrafickogObjekta()   {
       ip= new DKIspitnaPrijava();
       ip.setSifraPrijave(getInteger(ef.getPanel().getSifraPrijave()));
       ip.setBrojIndeksa(ef.getPanel().getBrojIndeksa());
       ip.setSifraPredmeta(getInteger(ef.getPanel().getSifraPredmeta()));
       ip.setOcena(getInteger(ef.getPanel().getOcena()));
       SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
       java.util.Date Datum = java.sql.Date.valueOf(sdf.format(ef.getPanel().getDatum())); 
       ip.setDatum(Datum); 
    
    }

    // Promenljivo!!!
    public void napuniGrafickiObjekatIzDomenskogObjekta(DKIspitnaPrijava ip){
       ef.getPanel().setSifraPrijave(Integer.toString(ip.getSifraPrijave()));
       ef.getPanel().setBrojIndeksa(ip.getBrojIndeksa());
       ef.getPanel().setSifraPredmeta(Integer.toString(ip.getSifraPredmeta()));
       ef.getPanel().setOcena(Integer.toString(ip.getOcena()));
       ef.getPanel().setDatum(ip.getDatum());
      
    }

// Promenljivo!!!
public void isprazniGrafickiObjekat(){
 ef.getPanel().setSifraPrijave("");
 ef.getPanel().setBrojIndeksa("000000");
 ef.getPanel().setSifraPredmeta("0");
 ef.getPanel().setOcena("5");
 ef.getPanel().setDatum(new java.util.Date());
}

public void prikaziPoruku() 
{ ef.getPanel().setPoruka(poruka);
      
  Timer timer = new Timer();
  
  timer.schedule(new TimerTask() {
  @Override
  public void run() {
    ef.getPanel().setPoruka(""); 
  }
}, 3000);
  
}


public void prikaziPoruku(String poruka) 
{ ef.getPanel().setPoruka(poruka);
      
  Timer timer = new Timer();
  
  timer.schedule(new TimerTask() {
  @Override
  public void run() {
    ef.getPanel().setPoruka(""); 
  }
}, 3000);
  
}

public int getInteger(String s) {
    int broj = 0;
    try
        {
            if(s != null)
                broj = Integer.parseInt(s);
        }
            catch (NumberFormatException e)
            { broj = 0;}
   
    return broj;
}


public void Promeni(boolean promeni1){promeni=promeni1;}
public void Zapamti(boolean zapamti1){zapamti=zapamti1;}
public void Nadji(boolean nadji1){nadji=nadji1;}
public void Obrisi(boolean obrisi1){obrisi=obrisi1;}
public void Kreiraj(boolean kreiraj1){kreiraj=kreiraj1;}

 
@Override 
public boolean zapamtiDomenskiObjekat(Visitor vis){ 
    vis.visitKontroler(this);
    if (!zapamti)
      {poruka = "     ."; 
       prikaziPoruku();
       return false;
      }
    
    bbp.makeConnection();
    boolean signal = bbp.insertRecord(ip);
    if (signal==true) 
        { bbp.commitTransation();
          poruka ="     ."; // Promenljivo!!!
        }
        else
        { bbp.rollbackTransation();
          poruka ="       ."; // Promenljivo!!!  
        }
    prikaziPoruku();
    bbp.closeConnection();
    return signal; 
       
    }
    
@Override
public boolean kreirajDomenskiObjekat(Visitor vis){
    vis.visitKontroler(this);
    if (!kreiraj)
      {poruka = "    ."; 
       prikaziPoruku();
       return false;
      }
    
    boolean signal;
    ip= new DKIspitnaPrijava(); // Promenljivo!!!
    AtomicInteger counter = new AtomicInteger(0);
    
    bbp.makeConnection();
    if (!bbp.getCounter(ip,counter)) return false;
    if (!bbp.increaseCounter(ip,counter)) return false;
          
    ip.setSifraPrijave(counter.get()); // Promenljivo!!!
    signal = bbp.insertRecord(ip);
    if (signal==true) 
        { bbp.commitTransation();
          napuniGrafickiObjekatIzDomenskogObjekta(ip);
          poruka = "     ."; // Promenljivo!!!
        }
        else
        { bbp.rollbackTransation();
        isprazniGrafickiObjekat();
        poruka ="       ."; // Promenljivo!!!
        }
    prikaziPoruku();
    bbp.closeConnection();
    return signal;
}

@Override
public boolean obrisiDomenskiObjekat(Visitor vis){
    vis.visitKontroler(this);
    if (!obrisi)
      {poruka = "    ."; 
       prikaziPoruku();
       return false;
      }
    
    
    bbp.makeConnection();
    boolean signal = bbp.deleteRecord(ip);
    if (signal==true) 
        { bbp.commitTransation();
          poruka = " je o  ."; // Promenljivo!!!
            isprazniGrafickiObjekat();
        }
        else
        { bbp.rollbackTransation();
          poruka = "      ."; // Promenljivo!!!
        }
    prikaziPoruku();
    bbp.closeConnection();
    return signal;   
}

@Override
public boolean promeniDomenskiObjekat(Visitor vis){
    vis.visitKontroler(this);
    if (!promeni)
      {poruka = "    ."; 
       prikaziPoruku();
       return false;
      }
    
    bbp.makeConnection();
    boolean signal = bbp.updateRecord(ip);
    if (signal==true) 
        { bbp.commitTransation();
          poruka = " je   ."; // Promenljivo!!!
        }
        else
        { bbp.rollbackTransation();
          isprazniGrafickiObjekat();
          poruka = "      ."; // Promenljivo!!!
        }
    prikaziPoruku();
    bbp.closeConnection();
    return signal;   
}


@Override
public boolean nadjiDomenskiObjekat(Visitor vis){
    vis.visitKontroler(this);
    if (!nadji)
      {poruka = "    ."; 
       prikaziPoruku();
       return false;
      }
    
    boolean signal;
    bbp.makeConnection();
    ip = (DKIspitnaPrijava)bbp.findRecord(ip); // Promenljivo!!!
    if (ip != null) 
        { napuniGrafickiObjekatIzDomenskogObjekta(ip);
          poruka = " je   ."; // Promenljivo!!!
          signal = true;
        }
        else
        { isprazniGrafickiObjekat();
          poruka ="      ."; // Promenljivo!!!
          signal = false;
        }
    prikaziPoruku();
    bbp.closeConnection();
    return signal;   
}

   
}

class OsluskivacZapamti implements ActionListener
{   Kontroler kon;
 
    OsluskivacZapamti(Kontroler1 kon1) {kon = kon1;}
    
@Override
    public void actionPerformed(ActionEvent e) {
         kon.napuniDomenskiObjekatIzGrafickogObjekta();
         kon.zapamtiDomenskiObjekat(new VisitorZapamti());
        
    }
}

class OsluskivacKreiraj implements ActionListener
{   Kontroler kon;
 
    OsluskivacKreiraj(Kontroler kon1) {kon = kon1;}
    
@Override
    public void actionPerformed(ActionEvent e) {
         kon.kreirajDomenskiObjekat(new VisitorKreiraj());
         
        
    }
}

class OsluskivacObrisi implements ActionListener
{   Kontroler kon;
 
    OsluskivacObrisi(Kontroler kon1) {kon = kon1;}
    
@Override
    public void actionPerformed(ActionEvent e) {
         kon.napuniDomenskiObjekatIzGrafickogObjekta();
         kon.obrisiDomenskiObjekat(new VisitorObrisi());
        
    }
}

class OsluskivacPromeni implements ActionListener
{   Kontroler kon;
 
    OsluskivacPromeni(Kontroler kon1) {kon = kon1;}
    
@Override
    public void actionPerformed(ActionEvent e) {
         kon.napuniDomenskiObjekatIzGrafickogObjekta();
         kon.promeniDomenskiObjekat(new VisitorPromeni());
        
    }
}

class OsluskivacNadji implements ActionListener
{   Kontroler kon;
 
    OsluskivacNadji(Kontroler kon1) {kon = kon1;}
    
@Override
    public void actionPerformed(ActionEvent e) {
         kon.napuniDomenskiObjekatIzGrafickogObjekta();
         kon.nadjiDomenskiObjekat(new VisitorNadji());
        
    }
}

class OsluskivacNadji1 implements FocusListener
{   Kontroler kon;
 
    OsluskivacNadji1(Kontroler kon1) {kon = kon1;}
    

    @Override
    public void focusLost(java.awt.event.FocusEvent e) {
         kon.napuniDomenskiObjekatIzGrafickogObjekta();
         kon.nadjiDomenskiObjekat(new VisitorNadji());
    }

    @Override
    public void focusGained(FocusEvent e) {
        
    }
}

